package persistenza;

import it.unibas.pinco.framework.Applicazione;
import modello.Bean;
import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;

public class DAOBean {

    public static Bean findByChiave(String chiave) throws DAOException {
        Bean bean = null;
        try {
            Session session = PersistenceManager.getSession();
            Query query = session.createQuery("from Bean where dato = ?");
            query.setString(0, chiave);
            List risultato = query.list();
            if (risultato.size() != 0) {
                bean = (Bean)risultato.get(0);
            }
        } catch (HibernateException e) {
            Applicazione.logSevere(e.toString());
            throw new DAOException(e);
        }
        return bean;
    }

    public static void makePersistent(Bean bean) throws DAOException {
        try {
            PersistenceManager.getSession().saveOrUpdate(bean);
        } catch (HibernateException e) {
            Applicazione.logSevere(e.toString());
            throw new DAOException(e);
        }
    }

    public static void makeTransient(Bean bean) throws DAOException {
        try {
            PersistenceManager.getSession().delete(bean);
        } catch (HibernateException e) {
            Applicazione.logSevere(e.toString());
            throw new DAOException(e);
        }
    }

}



